


[kk2, ll, mm] = kmeans(Y2, 10);

[kk3, ll, mm] = kmeans([Y2 X], 10);

[kk4, ll, mm] = kmeans([Y2 2*X], 10);




%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% Image %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


bottomY = min(YY);
topY    = max(YY);

bottome = 1;
tope    = 10;



f = tiledlayout(2,2);
nexttile;
scatter(XX(:,1), XX(:,2), 1, YY);
shading interp;
caxis manual
caxis([bottomY topY]);
title('Point Level Data');
colorbar;
nexttile;
scatter(X(:,1), X(:,2),1, kk2);
shading interp;
caxis manual
caxis([bottome tope]);
title('No Location information');
colorbar;
nexttile;
scatter(X(:,1), X(:,2),1, kk3);
shading interp;
caxis manual
caxis([bottome tope]);
title('Locations appended');
colorbar;
nexttile;
scatter(X(:,1), X(:,2),1, kk4);
shading interp;
caxis manual
caxis([bottome tope]);
title('Scaled Locations appended');
colorbar;




%saveas(f,"img/failurekmeans.pdf");

%saveas(f,"img/sim.pdf");
print(gcf,'img/failurekmeans.eps','-depsc');
close();











